using System;
using System.ComponentModel;

namespace TeslaConsole;

internal class AsyncControlState
{
	public AsyncOperation asyncOp;

	public Exception ex;

	public AsyncControlState(Exception ex, AsyncOperation asyncOp)
	{
		this.ex = ex;
		this.asyncOp = asyncOp;
	}
}
internal class AsyncControlState<T> : AsyncControlState
{
	public T state = default(T);

	public AsyncControlState(T state, Exception ex, AsyncOperation asyncOp)
		: base(ex, asyncOp)
	{
		this.state = state;
	}
}
